de.vc.xml

## Class ValueChangeEvent

- java.lang.Object
- - de.vc.xml.ValueChangeEvent

-     public class ValueChangeEvent
      extends java.lang.Object

  This event is fired, if a value of an attribute has changed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueChangeEvent(Node container, java.lang.String attributeName, java.lang.Object newValue, java.lang.Object oldValue)`
    `ValueChangeEvent(java.lang.String attributeName, java.lang.Object newValue)`
    `ValueChangeEvent(java.lang.String attributeName, java.lang.Object newValue, java.lang.Object oldValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttributeName()`
    `Node` | `getContainer()`
    `java.lang.Object` | `getNewValue()`
    `java.lang.String` | `getNewValueAsString()`
    `java.lang.Object` | `getOldValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueChangeEvent

          public ValueChangeEvent(java.lang.String attributeName,
                          java.lang.Object newValue)

    - #### ValueChangeEvent

          public ValueChangeEvent(java.lang.String attributeName,
                          java.lang.Object newValue,
                          java.lang.Object oldValue)

    - #### ValueChangeEvent

          public ValueChangeEvent(Node container,
                          java.lang.String attributeName,
                          java.lang.Object newValue,
                          java.lang.Object oldValue)

  - ### Method Detail

    - #### getContainer

          public Node getContainer()

    - #### getAttributeName

          public java.lang.String getAttributeName()

    - #### getOldValue

          public java.lang.Object getOldValue()

    - #### getNewValue

          public java.lang.Object getNewValue()

    - #### getNewValueAsString

          public java.lang.String getNewValueAsString()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.